<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Plik źródłowy Vector.hh</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('dc/dca/_vector_8hh_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">Vector.hh</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../dc/dca/_vector_8hh.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00005"></a><span class="lineno"><a class="line" href="../../dc/dca/_vector_8hh.html#a5c3c37a63ea6742bd21f87b3c482ad4d">    5</a></span>&#160;constexpr <span class="keywordtype">double</span> <a class="code" href="../../dc/dca/_vector_8hh.html#a5c3c37a63ea6742bd21f87b3c482ad4d">ERR</a> = 0.0000000001;</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> T, <span class="keywordtype">int</span> SIZE&gt;</div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="../../d5/db2/class_vector.html">   13</a></span>&#160;<span class="keyword">class </span><a class="code" href="../../d5/db2/class_vector.html">Vector</a> {</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;   <span class="keyword">private</span>:</div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="../../d5/db2/class_vector.html#a62ded5bdea4a50407eeba6dfe12626c3">   15</a></span>&#160;    T <a class="code" href="../../d5/db2/class_vector.html#a62ded5bdea4a50407eeba6dfe12626c3">vector</a>[SIZE]{};</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;   <span class="keyword">public</span>:</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    T &amp;<a class="code" href="../../d5/db2/class_vector.html#a42a5d5a9ce43d2e35d186ca825a3a3e5">operator[]</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index);</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="keyword">const</span> T &amp;<a class="code" href="../../d5/db2/class_vector.html#a42a5d5a9ce43d2e35d186ca825a3a3e5">operator[]</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160; </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <a class="code" href="../../d5/db2/class_vector.html">Vector&lt;T, SIZE&gt;</a> <a class="code" href="../../d5/db2/class_vector.html#a64b8bda0e41f423f266f1de2c31e56d7">operator*</a>(T number) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    T <a class="code" href="../../d5/db2/class_vector.html#a64b8bda0e41f423f266f1de2c31e56d7">operator*</a>(<span class="keyword">const</span> <a class="code" href="../../d5/db2/class_vector.html">Vector&lt;T, SIZE&gt;</a> &amp;vector1) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160; </div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <a class="code" href="../../d5/db2/class_vector.html">Vector&lt;T, SIZE&gt;</a> <a class="code" href="../../d5/db2/class_vector.html#a0f208f83a404416a3dd32f366c9e33de">operator/</a>(T number) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160; </div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <a class="code" href="../../d5/db2/class_vector.html">Vector&lt;T, SIZE&gt;</a> <a class="code" href="../../d5/db2/class_vector.html#afc7fbba80f94f43ee97db87d8b8623d9">operator+</a>(<span class="keyword">const</span> <a class="code" href="../../d5/db2/class_vector.html">Vector&lt;T, SIZE&gt;</a> &amp;vector1) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160; </div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    <a class="code" href="../../d5/db2/class_vector.html">Vector&lt;T, SIZE&gt;</a> <a class="code" href="../../d5/db2/class_vector.html#a79f1e5fb7239e59a78b6df100a56b18c">operator-</a>(<span class="keyword">const</span> <a class="code" href="../../d5/db2/class_vector.html">Vector&lt;T, SIZE&gt;</a> &amp;vector1) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160; </div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <a class="code" href="../../d5/db2/class_vector.html#a4887846a057c7058af3db0d652e8aa89">Vector</a>();</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160; </div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    <a class="code" href="../../d5/db2/class_vector.html#a4887846a057c7058af3db0d652e8aa89">Vector</a>(<span class="keywordtype">double</span> arg1, <span class="keywordtype">double</span> arg2, <span class="keywordtype">double</span> arg3);</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;};</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160; </div>
<div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="../../dc/dca/_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">   82</a></span>&#160;<span class="keyword">using</span> <a class="code" href="../../d5/db2/class_vector.html">Vector3D</a> = <a class="code" href="../../d5/db2/class_vector.html">Vector&lt;double, 3&gt;</a>;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160; </div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> T, <span class="keywordtype">int</span> SIZE&gt;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;std::istream &amp;<a class="code" href="../../dc/dca/_vector_8hh.html#aaa1520c47ad6594c1bcccf172012480a">operator&gt;&gt;</a>(std::istream &amp;strm, <a class="code" href="../../d5/db2/class_vector.html">Vector&lt;T, SIZE&gt;</a> &amp;vector);</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160; </div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> T, <span class="keywordtype">int</span> SIZE&gt;</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;std::ostream &amp;<a class="code" href="../../dc/dca/_vector_8hh.html#a9a8398d91c29ac72e27ff9876fe891c2">operator&lt;&lt;</a>(std::ostream &amp;strm, <span class="keyword">const</span> <a class="code" href="../../d5/db2/class_vector.html">Vector&lt;T, SIZE&gt;</a> &amp;vector);</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160; </div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> T, <span class="keywordtype">int</span> SIZE&gt;</div>
<div class="line"><a name="l00105"></a><span class="lineno"><a class="line" href="../../d5/db2/class_vector.html#a42a5d5a9ce43d2e35d186ca825a3a3e5">  105</a></span>&#160;T &amp;<a class="code" href="../../d5/db2/class_vector.html#a42a5d5a9ce43d2e35d186ca825a3a3e5">Vector&lt;T, SIZE&gt;::operator[]</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index) {</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">const_cast&lt;</span>T &amp;<span class="keyword">&gt;</span>(<span class="keyword">const_cast&lt;</span><span class="keyword">const </span><a class="code" href="../../d5/db2/class_vector.html">Vector&lt;T, SIZE&gt;</a> *<span class="keyword">&gt;</span>(<span class="keyword">this</span>)-&gt;<span class="keyword">operator</span>[](index));</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;}</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160; </div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> T, <span class="keywordtype">int</span> SIZE&gt;</div>
<div class="line"><a name="l00110"></a><span class="lineno"><a class="line" href="../../d5/db2/class_vector.html#aa0551702cc828474774e5a417d5be63c">  110</a></span>&#160;<span class="keyword">const</span> T &amp;<a class="code" href="../../d5/db2/class_vector.html#a42a5d5a9ce43d2e35d186ca825a3a3e5">Vector&lt;T, SIZE&gt;::operator[]</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index)<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    <span class="keywordflow">if</span> (index &gt;= SIZE) {</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;        std::cout &lt;&lt; <span class="stringliteral">&quot;Array index out of bound, exiting&quot;</span>;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;        exit(0);</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    }</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160; </div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    <span class="keywordflow">return</span> vector[index];</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;}</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160; </div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> T, <span class="keywordtype">int</span> SIZE&gt;</div>
<div class="line"><a name="l00120"></a><span class="lineno"><a class="line" href="../../d5/db2/class_vector.html#a64b8bda0e41f423f266f1de2c31e56d7">  120</a></span>&#160;<a class="code" href="../../d5/db2/class_vector.html">Vector&lt;T, SIZE&gt;</a> <a class="code" href="../../d5/db2/class_vector.html#a64b8bda0e41f423f266f1de2c31e56d7">Vector&lt;T, SIZE&gt;::operator*</a>(T number)<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    <a class="code" href="../../d5/db2/class_vector.html">Vector&lt;T, SIZE&gt;</a> result;</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160; </div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; SIZE; ++i) {</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;        result[i] = vector[i] * number;</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    }</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160; </div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;    <span class="keywordflow">return</span> result;</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;}</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160; </div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> T, <span class="keywordtype">int</span> SIZE&gt;</div>
<div class="line"><a name="l00131"></a><span class="lineno"><a class="line" href="../../d5/db2/class_vector.html#ad2acbd7461b9aee0c13119f773424a42">  131</a></span>&#160;T <a class="code" href="../../d5/db2/class_vector.html#a64b8bda0e41f423f266f1de2c31e56d7">Vector&lt;T, SIZE&gt;::operator*</a>(<span class="keyword">const</span> <a class="code" href="../../d5/db2/class_vector.html">Vector&lt;T, SIZE&gt;</a> &amp;vector1)<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    T result;</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160; </div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;    <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; SIZE; ++i) {</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;        result += vector[i] * vector1[i];</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;    }</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160; </div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    <span class="keywordflow">return</span> result;</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;}</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160; </div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> T, <span class="keywordtype">int</span> SIZE&gt;</div>
<div class="line"><a name="l00142"></a><span class="lineno"><a class="line" href="../../d5/db2/class_vector.html#a0f208f83a404416a3dd32f366c9e33de">  142</a></span>&#160;<a class="code" href="../../d5/db2/class_vector.html">Vector&lt;T, SIZE&gt;</a> <a class="code" href="../../d5/db2/class_vector.html#a0f208f83a404416a3dd32f366c9e33de">Vector&lt;T, SIZE&gt;::operator/</a>(T number)<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    <a class="code" href="../../d5/db2/class_vector.html">Vector&lt;T, SIZE&gt;</a> result;</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160; </div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;    <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; SIZE; ++i) {</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;        result[i] = vector[i] / number;</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    }</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160; </div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;    <span class="keywordflow">return</span> result;</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;}</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160; </div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> T, <span class="keywordtype">int</span> SIZE&gt;</div>
<div class="line"><a name="l00153"></a><span class="lineno"><a class="line" href="../../d5/db2/class_vector.html#afc7fbba80f94f43ee97db87d8b8623d9">  153</a></span>&#160;<a class="code" href="../../d5/db2/class_vector.html">Vector&lt;T, SIZE&gt;</a> <a class="code" href="../../d5/db2/class_vector.html#afc7fbba80f94f43ee97db87d8b8623d9">Vector&lt;T, SIZE&gt;::operator+</a>(<span class="keyword">const</span> <a class="code" href="../../d5/db2/class_vector.html">Vector&lt;T, SIZE&gt;</a> &amp;vector1)<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;    <a class="code" href="../../d5/db2/class_vector.html">Vector&lt;T, SIZE&gt;</a> result;</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160; </div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; SIZE; ++i) {</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;        result[i] = vector[i] + vector1[i];</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    }</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160; </div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;    <span class="keywordflow">return</span> result;</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;}</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160; </div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> T, <span class="keywordtype">int</span> SIZE&gt;</div>
<div class="line"><a name="l00164"></a><span class="lineno"><a class="line" href="../../d5/db2/class_vector.html#a79f1e5fb7239e59a78b6df100a56b18c">  164</a></span>&#160;<a class="code" href="../../d5/db2/class_vector.html">Vector&lt;T, SIZE&gt;</a> <a class="code" href="../../d5/db2/class_vector.html#a79f1e5fb7239e59a78b6df100a56b18c">Vector&lt;T, SIZE&gt;::operator-</a>(<span class="keyword">const</span> <a class="code" href="../../d5/db2/class_vector.html">Vector&lt;T, SIZE&gt;</a> &amp;vector1)<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;    <a class="code" href="../../d5/db2/class_vector.html">Vector&lt;T, SIZE&gt;</a> result;</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160; </div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;    <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; SIZE; ++i) {</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;        result[i] = vector[i] - vector1[i];</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;    }</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160; </div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;    <span class="keywordflow">return</span> result;</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;}</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160; </div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> T, <span class="keywordtype">int</span> SIZE&gt;</div>
<div class="line"><a name="l00175"></a><span class="lineno"><a class="line" href="../../d5/db2/class_vector.html#a4887846a057c7058af3db0d652e8aa89">  175</a></span>&#160;<a class="code" href="../../d5/db2/class_vector.html#a4887846a057c7058af3db0d652e8aa89">Vector&lt;T, SIZE&gt;::Vector</a>() {</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;    <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; SIZE; ++i) {</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;        vector[i] = 0;</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;    }</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;}</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160; </div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> T, <span class="keywordtype">int</span> SIZE&gt;</div>
<div class="line"><a name="l00182"></a><span class="lineno"><a class="line" href="../../d5/db2/class_vector.html#abfaaab682f0c75d1b19209d772dc161b">  182</a></span>&#160;<a class="code" href="../../d5/db2/class_vector.html#a4887846a057c7058af3db0d652e8aa89">Vector&lt;T, SIZE&gt;::Vector</a>(<span class="keywordtype">double</span> arg1, <span class="keywordtype">double</span> arg2, <span class="keywordtype">double</span> arg3) {</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;    vector[0] = arg1;</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;    vector[1] = arg2;</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;    vector[2] = arg3;</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;}</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160; </div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> T, <span class="keywordtype">int</span> SIZE&gt;</div>
<div class="line"><a name="l00189"></a><span class="lineno"><a class="line" href="../../dc/dca/_vector_8hh.html#aaa1520c47ad6594c1bcccf172012480a">  189</a></span>&#160;std::istream &amp;<a class="code" href="../../dc/dca/_vector_8hh.html#aaa1520c47ad6594c1bcccf172012480a">operator&gt;&gt;</a>(std::istream &amp;strm, <a class="code" href="../../d5/db2/class_vector.html">Vector&lt;T, SIZE&gt;</a> &amp;vector) {</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;    <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; SIZE; ++i) {</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;        strm &gt;&gt; vector[i];</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;    }</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160; </div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;    <span class="keywordflow">return</span> strm;</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;}</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160; </div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> T, <span class="keywordtype">int</span> SIZE&gt;</div>
<div class="line"><a name="l00198"></a><span class="lineno"><a class="line" href="../../dc/dca/_vector_8hh.html#a9a8398d91c29ac72e27ff9876fe891c2">  198</a></span>&#160;std::ostream &amp;<a class="code" href="../../dc/dca/_vector_8hh.html#a9a8398d91c29ac72e27ff9876fe891c2">operator&lt;&lt;</a>(std::ostream &amp;strm, <span class="keyword">const</span> <a class="code" href="../../d5/db2/class_vector.html">Vector&lt;T, SIZE&gt;</a> &amp;vector) {</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;    <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; SIZE; ++i) {</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;        strm &lt;&lt; vector[i];</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;        strm &lt;&lt; <span class="stringliteral">&quot; &quot;</span>;</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;    }</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160; </div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;    <span class="keywordflow">return</span> strm;</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;}</div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="a_vector_8hh_html_a9a8398d91c29ac72e27ff9876fe891c2"><div class="ttname"><a href="../../dc/dca/_vector_8hh.html#a9a8398d91c29ac72e27ff9876fe891c2">operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;strm, const Vector&lt; T, SIZE &gt; &amp;vector)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dca/_vector_8hh_source.html#l00198">Vector.hh:198</a></div></div>
<div class="ttc" id="aclass_vector_html_a0f208f83a404416a3dd32f366c9e33de"><div class="ttname"><a href="../../d5/db2/class_vector.html#a0f208f83a404416a3dd32f366c9e33de">Vector::operator/</a></div><div class="ttdeci">Vector&lt; T, SIZE &gt; operator/(T number) const</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dca/_vector_8hh_source.html#l00142">Vector.hh:142</a></div></div>
<div class="ttc" id="aclass_vector_html_a4887846a057c7058af3db0d652e8aa89"><div class="ttname"><a href="../../d5/db2/class_vector.html#a4887846a057c7058af3db0d652e8aa89">Vector::Vector</a></div><div class="ttdeci">Vector()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dca/_vector_8hh_source.html#l00175">Vector.hh:175</a></div></div>
<div class="ttc" id="aclass_vector_html_a64b8bda0e41f423f266f1de2c31e56d7"><div class="ttname"><a href="../../d5/db2/class_vector.html#a64b8bda0e41f423f266f1de2c31e56d7">Vector::operator*</a></div><div class="ttdeci">Vector&lt; T, SIZE &gt; operator*(T number) const</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dca/_vector_8hh_source.html#l00120">Vector.hh:120</a></div></div>
<div class="ttc" id="a_vector_8hh_html_a5c3c37a63ea6742bd21f87b3c482ad4d"><div class="ttname"><a href="../../dc/dca/_vector_8hh.html#a5c3c37a63ea6742bd21f87b3c482ad4d">ERR</a></div><div class="ttdeci">constexpr double ERR</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dca/_vector_8hh_source.html#l00005">Vector.hh:5</a></div></div>
<div class="ttc" id="aclass_vector_html_a79f1e5fb7239e59a78b6df100a56b18c"><div class="ttname"><a href="../../d5/db2/class_vector.html#a79f1e5fb7239e59a78b6df100a56b18c">Vector::operator-</a></div><div class="ttdeci">Vector&lt; T, SIZE &gt; operator-(const Vector&lt; T, SIZE &gt; &amp;vector1) const</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dca/_vector_8hh_source.html#l00164">Vector.hh:164</a></div></div>
<div class="ttc" id="aclass_vector_html_a42a5d5a9ce43d2e35d186ca825a3a3e5"><div class="ttname"><a href="../../d5/db2/class_vector.html#a42a5d5a9ce43d2e35d186ca825a3a3e5">Vector::operator[]</a></div><div class="ttdeci">T &amp; operator[](unsigned int index)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dca/_vector_8hh_source.html#l00105">Vector.hh:105</a></div></div>
<div class="ttc" id="aclass_vector_html_afc7fbba80f94f43ee97db87d8b8623d9"><div class="ttname"><a href="../../d5/db2/class_vector.html#afc7fbba80f94f43ee97db87d8b8623d9">Vector::operator+</a></div><div class="ttdeci">Vector&lt; T, SIZE &gt; operator+(const Vector&lt; T, SIZE &gt; &amp;vector1) const</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dca/_vector_8hh_source.html#l00153">Vector.hh:153</a></div></div>
<div class="ttc" id="a_vector_8hh_html_aaa1520c47ad6594c1bcccf172012480a"><div class="ttname"><a href="../../dc/dca/_vector_8hh.html#aaa1520c47ad6594c1bcccf172012480a">operator&gt;&gt;</a></div><div class="ttdeci">std::istream &amp; operator&gt;&gt;(std::istream &amp;strm, Vector&lt; T, SIZE &gt; &amp;vector)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dca/_vector_8hh_source.html#l00189">Vector.hh:189</a></div></div>
<div class="ttc" id="aclass_vector_html_a62ded5bdea4a50407eeba6dfe12626c3"><div class="ttname"><a href="../../d5/db2/class_vector.html#a62ded5bdea4a50407eeba6dfe12626c3">Vector::vector</a></div><div class="ttdeci">T vector[SIZE]</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dca/_vector_8hh_source.html#l00015">Vector.hh:15</a></div></div>
<div class="ttc" id="aclass_vector_html"><div class="ttname"><a href="../../d5/db2/class_vector.html">Vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dca/_vector_8hh_source.html#l00013">Vector.hh:13</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="../../dir_0e6a83f483eb86bac30676662de98147.html">inc</a></li><li class="navelem"><a class="el" href="../../dc/dca/_vector_8hh.html">Vector.hh</a></li>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
